Name:          libfakekey
Version:       0.3
Release:       1mamba
Summary:       X Virtual Keyboard Library of the Matchbox WM project
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://matchbox-project.org/?p=1
Source:        http+git://git.yoctoproject.org/cgit/cgit.cgi/libfakekey/%{version}/libfakekey-%{version}.tar.bz2
#Source:        http://matchbox-project.org/sources/libfakekey/%{version}/libfakekey-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
X Virtual Keyboard Library of the Matchbox WM project.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
X Virtual Keyboard Library of the Matchbox WM project.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
./autogen.sh
%configure CFLAGS="%{optflags} -lX11"
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libfakekey.so.*
%doc COPYING ChangeLog

%files devel
%defattr(-,root,root)
%dir %{_includedir}/fakekey
%{_includedir}/fakekey/fakekey.h
%{_libdir}/libfakekey.a
%{_libdir}/libfakekey.la
%{_libdir}/libfakekey.so
%{_libdir}/pkgconfig/libfakekey.pc

%changelog
* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3-1mamba
- update to 0.3

* Fri Jan 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-1mamba
- package created by autospec
